
QGIS Application - Bug report #13258

delete part cannot make feature having NULL geometry anymore

2015-08-24 11:14 PM - Denis Rouzaud

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21319

Description

For a layer with single geometry, delete part cannot make it geometry less anymore.

The tool doesn't give any info to the user, nothing occurs.

Related issues:

Related to QGIS Application - Bug report # 13099: [regression] nodetool canno... Closed 2015-07-09

Associated revisions

Revision 0f9a08e6 - 2015-10-13 07:59 AM - Nyall Dawson

Allow delete part tool to remove geometry from single type point

and line layers (fix #13258)

History

#1 - 2015-10-12 09:47 PM - Nyall Dawson

- Assignee changed from Marco Hugentobler to Nyall Dawson

#2 - 2015-10-12 11:00 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"0f9a08e6f220585fd4c4e6c09343e52685206d3b".
